import { createApp } from 'vue'
import Loading from '@/components/loading/index.vue'
import App from './App.vue'
import vant from './vant'
import router from './router'
import store from './store'
import { initWxSDK2 } from './utils/wx';

const app = createApp(App)

// 初始化微信SDK
initWxSDK2();

vant(app)
app.use(router)
app.use(store)

app.component('x-loading', Loading);

app.mount('#app')
